## org.eclipse.contribution.visualiser.internal.preference
Class VisualiserPreferencePage

    java.lang.Object
      org.eclipse.jface.dialogs.DialogPage
          org.eclipse.jface.preference.PreferencePage
              org.eclipse.contribution.visualiser.internal.preference.VisualiserPreferencePage

All Implemented Interfaces:
  org.eclipse.jface.dialogs.IDialogPage, org.eclipse.jface.dialogs.IMessageProvider, org.eclipse.jface.preference.IPreferencePage, org.eclipse.ui.IWorkbenchPreferencePage

public class VisualiserPreferencePage
extends org.eclipse.jface.preference.PreferencePage
implements org.eclipse.ui.IWorkbenchPreferencePage

The preference page for the Visualiser plugin

Field Summary

Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider
`ERROR, INFORMATION, NONE, WARNING`

Constructor Summary
`VisualiserPreferencePage()`

Method Summary
`protected org.eclipse.swt.widgets.Control` `createContents(org.eclipse.swt.widgets.Composite parent)` Create the contents of the page
`void` `dispose()` Disposes the visualiser preview canvas
`void` `init(org.eclipse.ui.IWorkbench workbench)`
`protected void` `performDefaults()` Restore defaults
`boolean` `performOk()` Called when the user presses OK.

Methods inherited from class org.eclipse.jface.preference.PreferencePage

`applyData, applyDialogFont, computeSize, contributeButtons, createControl, createDescriptionLabel, createNoteComposite, doComputeSize, doGetPreferenceStore, getApplyButton, getContainer, getDefaultsButton, getPreferenceStore, isValid, noDefaultAndApplyButton, okToLeave, performApply, performCancel, performHelp, setContainer, setErrorMessage, setMessage, setPreferenceStore, setSize, setTitle, setValid, toString, updateApplyButton`

Methods inherited from class org.eclipse.jface.dialogs.DialogPage
`convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, getControl, getDescription, getDialogFontName, getErrorMessage, getFont, getImage, getMessage, getMessageType, getShell, getTitle, getToolTipText, initializeDialogUnits, isControlCreated, setButtonLayoutData, setControl, setDescription, setImageDescriptor, setMessage, setVisible`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.preference.IPreferencePage
`computeSize, isValid, okToLeave, performCancel, setContainer, setSize`

Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage
`createControl, getControl, getDescription, getErrorMessage, getImage, getMessage, getTitle, performHelp, setDescription, setImageDescriptor, setTitle, setVisible`

Constructor Detail

### VisualiserPreferencePage

    public VisualiserPreferencePage()

Method Detail

### createContents

    protected org.eclipse.swt.widgets.Control createContents(org.eclipse.swt.widgets.Composite parent)

  Create the contents of the page

  See Also:
    `PreferencePage.createContents(Composite)`

### dispose

    public void dispose()

  Disposes the visualiser preview canvas

  Specified by:
    `dispose` in interface `org.eclipse.jface.dialogs.IDialogPage`

### performDefaults

    protected void performDefaults()

  Restore defaults

  See Also:
    `PreferencePage.performDefaults()`

### performOk

    public boolean performOk()

  Called when the user presses OK. Updates the Visualiser with the selections chosen.

  Specified by:
    `performOk` in interface `org.eclipse.jface.preference.IPreferencePage`
  See Also:
    `PreferencePage.performOk()`

### init

    public void init(org.eclipse.ui.IWorkbench workbench)

  Specified by:
    `init` in interface `org.eclipse.ui.IWorkbenchPreferencePage`
  See Also:
    `IWorkbenchPreferencePage.init(IWorkbench)`